UbuntuUpdates.org

Package "rabbitmq-server"

Name: rabbitmq-server

Description:

An AMQP server written in Erlang

Latest version: 2.7.1-0ubuntu4
Release: precise (12.04)
Level: base
Repository: main
Homepage: http://www.rabbitmq.com/

Links


Download "rabbitmq-server"


Other versions of "rabbitmq-server" in Precise

Repository Area Version
base universe 2.7.1-0ubuntu4

Changelog

Version: 2.7.1-0ubuntu4 2012-03-29 20:06:56 UTC

rabbitmq-server (2.7.1-0ubuntu4) precise; urgency=low

  [ Dave Walker ]
  * debian/rabbitmq-script-wrapper: Use start-stop-daemon instead of su
    to run the commands. This also allows rabbitmq to start on the
    installer if invoke-rc.d is used with --force. (LP: #966269)

  [ Andres Rodriguez ]
  * debian/rabbitmq-server.init: Use --no-wait in initctl emit command to
    not stall apt-get installations. (LP: #968124)

 -- Andres Rodriguez Thu, 29 Mar 2012 10:46:26 -0400

Source diff to previous version
966269 Starting rabbitmq-server on installer stalls instal...
968124 Restarting rabbitmq-server from another package's p...

Version: 2.7.1-0ubuntu3 2012-03-28 00:06:49 UTC

rabbitmq-server (2.7.1-0ubuntu3) precise; urgency=low

  * debian/rabbitmq-server.init: emit 'rabbitmq-server-running' signal for
    upstart as MAAS needs it.

 -- Andres Rodriguez Tue, 27 Mar 2012 14:49:05 -0400

Source diff to previous version

Version: 2.7.1-0ubuntu2 2012-03-21 13:06:48 UTC

rabbitmq-server (2.7.1-0ubuntu2) precise; urgency=low

  [ Marc Cluet ]
  * Add new rabbitmq-erlang-client and rabbitmq-stomp binary packages as
    plugins are now part of rabbitmq-server core (LP: #948993):
    - d/rules: Refactored to support multiple binary packages, enable
      .d style configuration of rabbitmq for plugins.
    - d/rabbitmq-stomp.[postinst|postrm|install]: Install configuration
      for stomp, enable/disable stomp plugin and restart as required.
    - d/rabbitmq-erlang-client.[postinst|postrm]: Enable/disable amqp_client
      plugin and restart as required.
    - d/rabbitmq-server.*: Renamed to support multiple binary packages.
    - d/rabbitmq-server.dirs: Added rabbitmq.conf.d dir for .d configuration
      files.
    - d/rabbitmq-server.postrm.in: Avoid deletion of rabbitmq user on purge.
  * Switched to source/format 3.0 (quilt):
    - d/patches/inets-plugins.patch: Fixup path to httpd.hrl.

  [ James Page ]
  * d/control: rabbitmq-server needs to Break/Replace
    rabbitmq-plugins-common < 2.7.1.
  * d/rabbitmq-server.links: Fixup link to point to 2.7.1 install.
  * d/rabbitmq-server.init: Restore fix to use start-stop-daemon (LP: #913464).

 -- Marc Cluet Mon, 12 Mar 2012 08:58:42 +0000

Source diff to previous version
948993 [FFe] [MIR] rabbitmq-stomp, rabbitmq-erlang-client
913464 rabbit creates new PAM session

Version: 2.7.1-0ubuntu1 2012-03-02 01:03:35 UTC

rabbitmq-server (2.7.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #922600)
  * Apply patch to include inets from the appropriate place. Fixes
    FTBFS.
  * d/control: adding necessary build-deps for 2.7.1

 -- Clint Byrum Tue, 28 Feb 2012 09:55:49 -0800

Source diff to previous version

Version: 2.6.1-1ubuntu4 2012-01-30 15:03:58 UTC

rabbitmq-server (2.6.1-1ubuntu4) precise; urgency=low

  * Use start-stop-daemon in the init script, removing usage of su
    (LP: #913464)

 -- Thomas Hervé Fri, 27 Jan 2012 14:58:19 +0100

913464 rabbit creates new PAM session



About   -   Send Feedback to @ubuntu_updates